#!/bin/bash
#

source ${PRODUCTS}/setup
OS=`uname`
if [ ${OS} = "Darwin" ]
then
    flvr=`ups flavor -2`
else
    flvr=`ups flavor`
fi

vers=v2_8_10_2
dotver=2.8.10.2
cmakedir=${PRODUCTS}/cmake/${vers}/${flvr}
sourcedir=${PRODUCTS}/cmake/${vers}/source

if [ -z ${flvr} ]
then
   echo "ERROR: could not determine flavor for this platform"
   echo "       something is very wrong"
   exit 1
fi

mkdir -p ${cmakedir}/build
if [ ! -d ${cmakedir}/build ]
then
   echo "ERROR: failed to create ${cmakedir}/build"
   exit 1
fi

set -x

cd ${cmakedir}/build

${cmakedir}/../source/cmake-${dotver}/bootstrap --prefix=${cmakedir} 
make 
make install 

set +x

if [ ! -d ${cmakedir}/bin ]
then
   echo "ERROR: failed to create ${cmakedir}/bin"
   echo "       Something is very wrong"
   exit 1
fi

# this should not complain
echo "Finished building cmake for flavor ${flvr}"
echo "Declaring cmake ${vers} for this flavor"
if [ ${OS} = "Darwin" ]
then
   ups declare cmake ${vers} -r cmake/${vers} -2 -m cmake.table -c
else
   ups declare cmake ${vers} -r cmake/${vers} -4 -m cmake.table -c
fi

setup cmake ${vers}

exit 0
